<app-create-task (onAddTask)="getTasks()"></app-create-task>

<ul
  *ngIf="tasks$ | async as tasks"
  nz-list
  [nzDataSource]="tasks"
  nzBordered
  nzSize="large"
>
  <li nz-list-item *ngFor="let task of tasks" nzNoFlex>
    <ul nz-list-item-actions>
      <nz-list-item-action>
        <span
          (click)="deleteTask(task.id)"
          nz-icon
          nzType="delete"
          nzTheme="outline"
        ></span>
      </nz-list-item-action>
    </ul>
    {{ task.title }}
  </li>
</ul>
